Skip to main content
PUT
https://{tenantDomain}/api/v2
/
self-service-profiles
/
{id}
/
custom-text
/
{language}
/
{page}
Go
package example

import (
    context "context"

    management "github.com/auth0/go-auth0/management/management"
    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := map[string]any{
        "key": "value",
    }
    client.SelfServiceProfiles.CustomText.Set(
        context.TODO(),
        "id",
        management.SelfServiceProfileCustomTextLanguageEnum(
            "en",
        ),
        management.SelfServiceProfileCustomTextPageEnum(
            "get-started",
        ),
        request,
    )
}
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the self-service profile.

language
enum<string>
required

The language of the custom text.

Available options:
en
page
enum<string>
required

The page where the custom text is shown.

Available options:
get-started

Body

The list of text keys and values to customize the self-service SSO page. Values can be plain text or rich HTML content limited to basic styling tags and hyperlinks.

{key}
string
Maximum string length: 2000

Response

Updated custom text.

The resulting list of custom text keys and values.

{key}
string